Package com.salesforce.datacloud.jdbc.auth.model

## Class DataCloudTokenResponse

- java.lang.Object
- - com.salesforce.datacloud.jdbc.auth.model.DataCloudTokenResponse

All Implemented Interfaces:
  `AuthenticationResponseWithError`

    public class DataCloudTokenResponse
    extends Object
    implements AuthenticationResponseWithError

The shape of this response can be found here under the heading "Exchanging Access Token for Data Cloud Token"

### Constructor Summary

Constructors
`DataCloudTokenResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `canEqual​(Object other)`
`boolean` `equals​(Object o)`
`String` `getErrorCode()`
`String` `getErrorDescription()`
`int` `getExpiresIn()`
`String` `getInstanceUrl()`
`String` `getToken()`
`String` `getTokenType()`
`int` `hashCode()`
`void` `setErrorCode​(String errorCode)`
`void` `setErrorDescription​(String errorDescription)`
`void` `setExpiresIn​(int expiresIn)`
`void` `setInstanceUrl​(String instanceUrl)`
`void` `setToken​(String token)`
`void` `setTokenType​(String tokenType)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataCloudTokenResponse

    public DataCloudTokenResponse()

### Method Detail

#### getToken

    public String getToken()

Specified by:
  `getToken` in interface `AuthenticationResponseWithError`

#### getInstanceUrl

    public String getInstanceUrl()

#### getTokenType

    public String getTokenType()

#### getExpiresIn

    public int getExpiresIn()

#### getErrorCode

    public String getErrorCode()

Specified by:
  `getErrorCode` in interface `AuthenticationResponseWithError`

#### getErrorDescription

    public String getErrorDescription()

Specified by:
  `getErrorDescription` in interface `AuthenticationResponseWithError`

#### setToken

    public void setToken​(String token)

#### setInstanceUrl

    public void setInstanceUrl​(String instanceUrl)

#### setTokenType

    public void setTokenType​(String tokenType)

#### setExpiresIn

    public void setExpiresIn​(int expiresIn)

#### setErrorCode

    public void setErrorCode​(String errorCode)

#### setErrorDescription

    public void setErrorDescription​(String errorDescription)

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### canEqual

    protected boolean canEqual​(Object other)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`